### Method

# EDataCal CalBackend notify_component_removed

since: 3.4

#### Declaration [src]

    void
    e_cal_backend_notify_component_removed (
      ECalBackend* backend,
      const ECalComponentId* id,
      ECalComponent* old_component,
      ECalComponent* new_component
    )

#### Description [src]

Notifies each of the backend’s listeners about a removed object.

Uses the `EDataCalView`‘s fields-of-interest to filter out unwanted information from ical strings sent over the bus.

Available since: 3.4

#### Parameters

`id`

  Type: `ECalComponentId`

  The Id of the removed object.

  The data is owned by the caller of the method.

`old_component`

  Type: `ECalComponent`

  The removed component.

  The data is owned by the caller of the method.

`new_component`

  Type: `ECalComponent`

  The component after the removal. This only applies to recurrent appointments that had an instance removed. In that case, this function notifies a modification instead of a removal.

  The data is owned by the caller of the method.